> For the complete documentation index, see [llms.txt](https://docs.e6data.com/query-engine/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e6data.com/query-engine/reference/limits-and-quotas.md).

# Limits and quotas

- [Workspace limits](https://docs.e6data.com/query-engine/reference/limits-and-quotas/workspace-limits.md): Naming rules and limits for workspaces, service accounts, and tokens in e6data.
- [Cluster limits](https://docs.e6data.com/query-engine/reference/limits-and-quotas/cluster-limits.md): Naming rules, sizing bounds, and scaling/suspension limits for e6data clusters.
- [Query limits](https://docs.e6data.com/query-engine/reference/limits-and-quotas/query-limits.md): Query timeout, result-display, and session limits for queries in e6data.
- [API limits](https://docs.e6data.com/query-engine/reference/limits-and-quotas/api-limits.md): Behaviors that shape API usage in e6data - pagination, result chunking, async polling, idempotency, and eventual consistency.
- [Token limits](https://docs.e6data.com/query-engine/reference/limits-and-quotas/token-limits.md): Limits and recommended practices for e6data access tokens - expiry bounds and per-consumer scoping.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.e6data.com/query-engine/reference/limits-and-quotas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
